Qt 5.6 | Qt Widgets | C++ Classes | QStyleOptionProgressBar

Qt 5.6.2 Reference Documentation

# Obsolete Members for QStyleOptionProgressBar

The following members of class QStyleOptionProgressBar are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Variables

`(obsolete)` Qt::Orientation | orientation

## Related Non-Members

`(obsolete)` typedef | QStyleOptionProgressBarV2

## Member Variable Documentation

### Qt::Orientation QStyleOptionProgressBar::orientation

This variable holds the progress bar's orientation (horizontal or vertical); the default orentation is Qt::Horizontal.

Use the QStyle::State_Horizontal flag instead (in the the QStyleOption::state member).

See also QProgressBar::orientation.

## Related Non-Members

### typedef QStyleOptionProgressBarV2

Synonym for QStyleOptionProgressBar.